org.jbpm.workflow.instance.node

## Class SplitInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.SplitInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance

      public class SplitInstance
      extends NodeInstanceImpl

  Runtime counterpart of a split node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkNodes(org.kie.api.definition.process.Node currentNode, org.kie.api.definition.process.Node lookFor, Set<Long> vistedNodes)`
    `protected void` | `executeStrategy(Split split, String type)`
    `protected Split` | `getSplit()`
    `protected boolean` | `hasLoop(org.kie.api.definition.process.Node startAt, org.kie.api.definition.process.Node lookFor)`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, configureSla, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitInstance

          public SplitInstance()

  - ### Method Detail

    - #### getSplit

          protected Split getSplit()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### executeStrategy

          protected void executeStrategy(Split split,
                                         String type)

    - #### hasLoop

          protected boolean hasLoop(org.kie.api.definition.process.Node startAt,
                                    org.kie.api.definition.process.Node lookFor)

    - #### checkNodes

          protected boolean checkNodes(org.kie.api.definition.process.Node currentNode,
                                       org.kie.api.definition.process.Node lookFor,
                                       Set<Long> vistedNodes)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.